=== debian/changelog ===
ligolo-ng (0.8.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.8.2

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 20 Jun 2025 10:31:52 +0200

ligolo-ng (0.8.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.8.1

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 May 2025 09:28:42 +0200

ligolo-ng (0.7.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.7.5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 09 Jan 2025 09:01:51 +0100

ligolo-ng (0.6.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.6.2

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 10 Jul 2024 11:25:39 +0200

ligolo-ng (0.6.1-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Daniel Ruiz de Alegría ]
  * New upstream version 0.6.1

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 25 Jun 2024 11:20:50 +0200

ligolo-ng (0.5.2-0kali2) kali-dev; urgency=medium

  * Add ci files
  * Add allow-stderr to test restrictions
  * Limit build to only amd64 and arm64 architectures
  * ci: Disable 32bit builds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 05 Mar 2024 11:32:46 +0100

ligolo-ng (0.5.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 04 Mar 2024 20:16:58 +0100
