=== debian/control ===
Source: ligolo-ng
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 golang-go,
Standards-Version: 4.6.2
Homepage: https://github.com/nicocha30/ligolo-ng
Vcs-Browser: https://gitlab.com/kalilinux/packages/ligolo-ng
Vcs-Git: https://gitlab.com/kalilinux/packages/ligolo-ng.git

Package: ligolo-ng
Architecture: amd64 arm64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Advanced, yet simple, tunneling/pivoting tool that uses a TUN interface
 Ligolo-ng is a simple, lightweight and fast tool that allows pentesters to
 establish tunnels from a reverse TCP/TLS connection using a tun interface
 (without the need of SOCKS).
