=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	GOPATH=$(CURDIR)/vendor_agent GOCACHE=$(CURDIR)/vendor_agent go build -o agent cmd/agent/main.go
	GOPATH=$(CURDIR)/vendor_proxy GOCACHE=$(CURDIR)/vendor_proxy go build -o proxy cmd/proxy/main.go

override_dh_auto_install:
	cp agent debian/ligolo-ng/usr/bin/ligolo-agent
	cp proxy debian/ligolo-ng/usr/bin/ligolo-proxy

override_dh_dwz:
