=== debian/tests/control ===
Test-Command: ligolo-agent -h
Restrictions: superficial, allow-stderr

Test-Command: ligolo-proxy -h
Restrictions: superficial, allow-stderr
