=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ligolo-ng-$1.tar.gz%" \
   https://github.com/nicocha30/ligolo-ng/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
