=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
  debhelper-compat (= 13),
  golang-go,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/nicocha30/ligolo-ng
 Vcs-Browser: https://gitlab.com/kalilinux/packages/ligolo-ng
 Vcs-Git: https://gitlab.com/kalilinux/packages/ligolo-ng.git
